%define name	hotkeys
%define version 0.5.7.1
%define release 9mdk

Summary:	A program to use the special keys on internet/multimedia keyboards
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		System/Kernel and hardware
Url:		http://ypwong.org/%{name}/
Source0:	%{url}%{name}_%{version}.tar.bz2
Source1:        vaio.def.bz2
Source2:        FCSAmilo.def.bz2
Source3:        samsungx30.def.bz2
Source4:        precision.def.bz2
Source5:        dellinspiron.def.bz2
Source6:        samsungx10.def.bz2
Patch1:         hotkeys-0.5.7.1_mutefix.patch.bz2
BuildRequires:	db3-devel >= 3.2.9
BuildRequires:	libxml2-devel >= 2.2.8
BuildRequires:	libxosd-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

%description
The HotKeys daemon listens for the "special" hotkeys that you won't
normally use on your Internet/Multimedia keyboards. The buttons perform
their intended behaviors, such as volume up and down, mute the speaker,
or launch applications. It has On-screen display (OSD) to show the
volume, program that's being started, etc. It features an XML-based
keycode configuration file format, which makes it possible to define the
hotkeys to launch any programs you want.

%prep
%setup -q
%patch1 -p0

%build
%configure --with-xosd
make CC="gcc -I%{_includedir}/libxml2 -I%{_includedir}/libxml2/libxml"
cat > README.mdk <<EOF
Adding a new keyboard
----------------------
If you have a keyboard not supported by this package, you can create 
your own file, by using xev, and writing the xml config files based 
on the examples provided.

Then, you can send them to the author, Anthony Wong <ypwong@ypwong.org>, 
in order to have them included in the tarball. I will also take 
contribution, send them to <misc@mandrake.org>, or fill a bugreport
on qa.mandrakesoft.com ( i prefer bug report as i may forget mail ).

Keyboard for owner of Samsung X10
----------------------------------
For people owning a Samsung X10, the provided keymap requires 2 commands
to activate all keys. Place a script in /etc/X11/xinit.d/ that contains :

#!/bin/bash
setkeycodes 0x74 122
setkeycodes 0x75 123

and use the samsungX10.def file.
See http://www.samsungpc.com/products/x10_x10plus/x10.htm if your are not sure this is
yours.
EOF

echo "WebBrowser=www-browser">> src/%{name}.conf
echo "Shell=xvt">> src/%{name}.conf

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

install -d $RPM_BUILD_ROOT/%{_sysconfdir}
install -m 644 src/%{name}.conf $RPM_BUILD_ROOT/%{_sysconfdir}

bzcat %{SOURCE1} > $RPM_BUILD_ROOT/%{_datadir}/%{name}/vaio.def
bzcat %{SOURCE2} > $RPM_BUILD_ROOT/%{_datadir}/%{name}/FCSAmilo.def
bzcat %{SOURCE3} > $RPM_BUILD_ROOT/%{_datadir}/%{name}/samsungx30.def
bzcat %{SOURCE4} > $RPM_BUILD_ROOT/%{_datadir}/%{name}/precision.def
bzcat %{SOURCE5} > $RPM_BUILD_ROOT/%{_datadir}/%{name}/dellinspiron.def
bzcat %{SOURCE6} > $RPM_BUILD_ROOT/%{_datadir}/%{name}/samsungX10.def

chmod 644 AUTHORS BUGS COPYING INSTALL TODO def/sample.xml

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc AUTHORS BUGS COPYING INSTALL TODO def/sample.xml README.mdk
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_mandir}/man1/%{name}.1*
%config(noreplace) %{_sysconfdir}/%{name}.conf

%changelog

* Wed Jun 29 2005 Michael Scherer <misc@mandriva.org> 0.5.7.1-9mdk
- applied patch from Michael Collard, ( crash when muting if
  something else is on the screen via libxosd )

* Sat Mar 12 2005 Michael Scherer <misc@mandrake.org> 0.5.7.1-8mdk 
- added samsungX10, update the instructions ( thanks to yann malet )
- use generic default

* Thu Jan 13 2005  Michael Scherer <misc@mandrake.org> 0.5.7.1-7mdk
- corrected Dell keyboard, ( Yvon TANGUY ), and extract the good sources.

* Tue Jan 04 2005 Michael Scherer <misc@mandrake.org> 0.5.7.1-6mdk
- added Dell Inspiron 8600, thanks to Yvon TANGUY

* Thu Oct 28 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.5.7.1-5mdk 
- precision and samsungx30 definition files

* Mon Oct 04 2004 Michael Scherer <misc@mandrake.org> 0.5.7.1-4mdk 
- added Fujistu-Siemens Amilo Pro, thanks to Libor Tomsik

* Fri Jul 23 2004 Michael Scherer <misc@mandrake.org> 0.5.7.1-3mdk 
- add vaio.def, for my laptop ( orignal by Alexander Jorda ) 
- add README.mdk
- fix BuildRequires

* Wed Apr 07 2004 Michael Scherer <misc@mandrake.org> 0.5.7.1-2mdk 
- Birthday rebuild

* Fri Mar 28 2003 David Walluck <david@anti-microsoft.org> 0.5.7.1-1mdk
- release
